<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="../layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.atna.CreateATestSuite']}</h1>
        <h:form id="createForm">
            <rich:panel>
                <f:facet name="header">#{messages['net.ihe.gazelle.atna.TestSuiteIdentity']}</f:facet>
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.TestSuiteName']}</ui:define>
                    <h:inputText value="#{testSuiteManager.testSuite.name}" size="30"/>
                </s:decorate>
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.Context']}</ui:define>
                    <h:selectOneMenu value="#{testSuiteManager.testSuite.context}">
                        <f:selectItem itemValue="#{null}" itemLabel="#{messages['net.ihe.gazelle.atna.None']}"
                                      noSelectionOption="true"/>
                        <f:selectItems value="#{testSuiteManager.getContextTypeItems()}"/>
                        <f:converter converterId="contextTypeConverter"/>
                        <a4j:ajax event="change" render="testCaseSelection" execute="@this"
                                  listener="#{testSuiteManager.resetTlsTestCases()}"/>
                    </h:selectOneMenu>
                </s:decorate>
            </rich:panel>
            <rich:panel id="testCaseSelection">
                <f:facet name="header">#{messages['net.ihe.gazelle.atna.Tests']}</f:facet>
                <rich:pickList sourceValue="#{testSuiteManager.availableTestCases}"
                               targetValue="#{testSuiteManager.selectedTestCases}" var="testcase" listsHeight="250"
                               sourceListWidth="200" targetListWidth="200"
                               sourceCaptionLabel="#{messages['net.ihe.gazelle.atna.AvailableTests']}"
                               targetCaptionLabel="#{messages['net.ihe.gazelle.atna.SelectedTests']}"
                               converter="tlsTestCaseConverter">
                    <g:column>
                        <h:outputText value="#{testcase.getName()}"/>
                    </g:column>
                </rich:pickList>
            </rich:panel>
            <s:div id="saveDiv">
                <s:decorate id="messageDecoration">
                    <rich:messages id="messages" globalOnly="true" styleClass="errorMessage"
                                   rendered="#{showGlobalMessages != 'false'}"/>
                </s:decorate>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.atna.Save']}"
                                   action="#{testSuiteManager.saveTestSuite()}" render="saveDiv"/>
                <gdk:spacer width="10px"/>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.atna.BackToList']}"
                                   action="#{testSuiteManager.backToList()}" immediate="true" execute="@this"/>
                <gdk:spacer width="10px"/>
            </s:div>
            <br/>
        </h:form>
    </ui:define>
</ui:composition>
